For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Prompt
      • STREAMExecute Prompt as Stream
      • POSTSubmit Prompt Execution Actuals
      • POSTRetrieve Provider Payload
        • POSTDeploy Prompt Sandbox
        • POSTUpsert Prompt Sandbox Scenario
        • DELDelete Prompt Sandbox Scenario
LogoLogo
BlogLog InRequest Demo
Client SDKPromptsPrompt Sandboxes

Delete Prompt Sandbox Scenario

Beta
DELETE
https://api.vellum.ai/v1/sandboxes/:id/scenarios/:scenario_id
DELETE
/v1/sandboxes/:id/scenarios/:scenario_id
1import requests
2
3url = "https://api.vellum.ai/v1/sandboxes/id/scenarios/scenario_id"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.delete(url, headers=headers)
8
9print(response.json())
204No Content
1{}
Deletes an existing scenario from a sandbox, keying off of the provided scenario id.
Was this page helpful?
Previous

List Prompt Deployments

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this sandbox.
scenario_idstringRequired
An id identifying the scenario that you'd like to delete

Headers

X-API-VersionstringOptional

Response

No response body